# Remove EIP from Shared Bandwidth - DisassociateEIPWithShareBandwidth

## Overview

Remove EIP from Shared Bandwidth






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DisassociateEIPWithShareBandwidth`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **ShareBandwidthId** | string | Shared Bandwidth ID |**Yes**|
| **Bandwidth** | int | After being removed from the shared bandwidth, the external bandwidth of EIP, in Mbps. The bandwidth range in each region is as follows: Traffic billing [1-200], Bandwidth billing [1-800]. |**Yes**|
| **EIPIds.N** | string | EIP's resource Id; by default, remove all EIPs under this shared bandwidth |No|
| **PayMode** | string | After being removed from the shared bandwidth, the billing mode of EIP. Enumeration values: "Traffic", traffic billing; "Bandwidth", bandwidth billing; default is "Bandwidth". |No|
| **IPVersion** | string | Shared bandwidth type, IPv4 or IPv6, defaults to IPv4 if not passed. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DisassociateEIPWithShareBandwidth
&Region=cn-bj2
&EIPIds.0=eip-XXXXX
&ShareBandwidthId=bwshare-XXXX
&Bandwidth=2
&IPVersion=nHjcpyjh
```

### Response Example
    
```json
{
  "Action": "DisassociateEIPWithShareBandwidthResponse",
  "Request_uuid": "f46ae8ae-84a3-4736-b49b-XXXXX",
  "RetCode": 0
}
```





